LINUX.ORG.RU

Сломался Arch


0

1

Pacman при обновлении пишет вот такую фигню

...
Proceed with installation? [Y/n] 
(501/501) checking package integrity                                                  [##################################################] 100%
error: lib32-glibc: key "A5E9288C4FA415FA" is unknown
error: key "A5E9288C4FA415FA" could not be looked up remotely
error: lib32-gcc-libs: key "A5E9288C4FA415FA" is unknown
:: Import PGP key 4FA415FA, "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>", created 2011-08-25? [Y/n] 
error: key "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" could not be imported
error: gcc-libs-multilib: key "A5E9288C4FA415FA" is unknown
:: Import PGP key 4FA415FA, "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>", created 2011-08-25? [Y/n] 
error: key "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" could not be imported
error: boost-libs: key "E8F18BA1615137BC" is unknown
:: Import PGP key 615137BC, "Ionut Biru <ibiru@archlinux.org>", created 2011-04-19? [Y/n] 
error: readline: signature from "Allan McRae <me@allanmcrae.com>" is unknown trust
error: bash: signature from "Allan McRae <me@allanmcrae.com>" is unknown trust
error: db: key "EA6836E1AB441196" is unknown
...

Как это лечить? cast Eddy_Em

★★★★★

Ответ на: комментарий от uniqwert

ну чтож так сдулся
так хорошо начинал :3

anonymous ()
Ответ на: комментарий от uniqwert

Ну вот я сейчас смотрю как кеды до 4.8 обновляются и знаю, что даже если сломаю все - смогу починить, потому что информации - море в сети. Так вот, если же все так плохо - есть вариант подсесть на более мышевозные дистрибутивы - виндовс, убунту. Там проблемы решаются еще проще. Ну или дебиан - там проблем вообще нет

minakov ★★★★★ ()

Если бы ты чаще обновлялся, то еще недели 2 назад набрел бы на уйму похожих сообщений на ЛОРе. Надо обновить настройки pacman.conf:

SigLevel = Never

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

Да, там еще веселуха в связи с обновлением pacman'а: надо снести yaourt и кое-что еще (что именно - не помню, но это можно будет в матюгах увидеть), обновить pacman, а потом заново установить yaourt и все остальное.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от minakov

что даже если сломаю все - смогу починить

Знаю, проходили.. Но в один прекрасный момент мне это все надоело.

Поэтому

есть вариант подсесть на более мышевозные дистрибутивы

uniqwert ()

2 минуты в гугле решили бы твою пробелму.

unikum ★★★★★ ()
Ответ на: комментарий от qnikst

Раньше никакой проверки не было, ее только в свежем пакмане сделали. А т.к. никаких подписей пока нет, естественно, проверка отключена. Глядишь, годика через 2-3 можно будет включить ее.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Reset

Вот есть такая категория людей, у которых руки чешутся что-нибудь поломать. За примерами далеко идти не надо: третьегном, четверокеды, GTK3 и т.д., и т.п. Рукожопость во всей красе!

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

не надо ничего сносить, дубина. Надо yaourt и его package-query добавить в SyncFirst в pacman.conf. Глупые нынче звездоносцы пошли, ей богу.

anonymous ()
Ответ на: комментарий от Reset

потому что все приставали к разрабам, мол, необходима нам проверка подлинности. в итоге все осталось по-старому, только все поимели кучу гемора.

Ingvarr ★★★ ()
Ответ на: комментарий от Reset

Из коробки не работает. Мануалы читать не хочу.

Да, да новый pacman со старым конфигом.

kitar ★★★★★ ()
Ответ на: комментарий от Eddy_Em

Да, там еще веселуха в связи с обновлением pacman'а: надо снести yaourt и кое-что еще (что именно - не помню, но это можно будет в матюгах увидеть), обновить pacman, а потом заново установить yaourt и все остальное.

Это так каждый раз у тех, кто его из AUR'а ставит.

Axon ★★★★★ ()
Ответ на: комментарий от Reset

А на кой эту хрень включили, если оно не работает?

Вот и уменя к вам этот же вопрос. На кой вы её включили, если она не работает?

Axon ★★★★★ ()

Вот Reset *****, а поиском не пользуешься..

Tanger ★★★★★ ()

Как это лечить?

Нулевой уровень гугл-fu: копирование мышкой строки с сообщением об ошибке в строку запроса гугл.

Эффективность >95%.

anonymous ()
Ответ на: комментарий от Eddy_Em

Веселуху можно и обломать, если заранее прочитать вики:

Если, из-за конфликтов с зависимостями устаревшей версии yaourt, вам не удается обновить pacman до 4 версии, и, при этом, используется репозиторий archlinux.fr, в файле /etc/pacman.conf измените

SyncFirst  = pacman

на

SyncFirst  = pacman yaourt package-query
vadik ★★ ()
Ответ на: комментарий от Reset

Конфиг не обновляй @ проблемы получай. В сообщении:

warning: /etc/pacman.conf installed as /etc/pacman.conf.pacnew

Слово «warning» не просто так стояло.

Axon ★★★★★ ()
Ответ на: комментарий от Reset

Ну и новости на archlinux.org.ru и linux.org.ru тоже не просто так пишут.

Axon ★★★★★ ()
Ответ на: комментарий от Reset

как раз в /etc/pacman.conf.pacnew было отключено т.е. SigLevel = Never

kitar ★★★★★ ()
Ответ на: комментарий от Axon

Правильно, что warning и правильно, что не обновился конфиг. Но поведение программы неправильное. Правильным поведением было бы _выключенная_ _неработающая_ опция по-дефолту в случае если про неё в конфиге ничего нет.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

Правильным поведением было бы _выключенная_ _неработающая_ опция по-дефолту в случае если про неё в конфиге ничего нет.

Сейчас - может быть. Но рассчёт, видимо, идёт на то, что к следующему релизу пакмана эта фича уже будет включена по дефолту, и разработчики просто справедливо не хотят лишний раз менять поведение.

Axon ★★★★★ ()
Ответ на: комментарий от Axon

Сейчас-то она выключена временно, на короткий период устаканивания, и простое изменение дефолтного конфига для этой цели - наиболее разумное решение, IMO.

Axon ★★★★★ ()
Ответ на: комментарий от Reset

Правильно, что warning и правильно, что не обновился конфиг.

упоротые разработчики арчика упорно суют *.pacnew files для каких целей?

Как минимум есть diff и pacmerge.

kitar ★★★★★ ()
Ответ на: комментарий от kitar

pacnew создаются в случае, если оригинальный конфиг был изменен пользователем. Ты предлагаешь заменять пользовательский конфиг новым дефолтным конфигом устанавливаемого пакета? Diff, pacmerge, yaourt -C, meld, kompare и т.п. никто не отменял, но без участия пользователя в автоматическом режиме эти программы не работают. Искусственный интеллект еще не изобрели.

m0rph ★★★★★ ()
Ответ на: комментарий от m0rph

pacnew создаются в случае, если оригинальный конфиг был изменен пользователем.

А кто спорит? К тому же вряд ли у кого-то есть дефолтный, в данном случае, pacman.conf.

Поэтому же и написал, что есть diff и если все устраивает то pacmerge.

Да кнопки «сделай мне зашибись» — нет. Но поднимать гвалт ровно из-за одной строчки в конфиге, причем где только можно вылазят предупреждения, — таки да, правильно.

kitar ★★★★★ ()
Ответ на: комментарий от Reset

Из коробки не работает. Мануалы читать не хочу.

убей себя тогда.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.